WordPress.org

Support

Support » How-To and Troubleshooting » Weird problem – Plugin upgrading, but not upgrading

Weird problem – Plugin upgrading, but not upgrading

  • RockDiesel
    Member

    @rockdiesel

    On a recent wordpress install I am trying to upgrade Akismet to the latest version.

    It goes through the whole process with no errors, but when I return to the plugins screen the plugin is not updated.

    I see this:

    Downloading update from http://downloads.wordpress.org/plugin/akismet.2.5.1.zip…

    Unpacking the update…

    Installing the latest version…

    Deactivating the plugin…

    Removing the old version of the plugin…

    Plugin upgraded successfully.

    Reactivating the plugin…

    Plugin reactivated successfully

    I’ve checked my permissions and don’t see any problems, and I’ve autoupgraded plugins in the past with no problems. It seems like this problem has only started happening since I upgraded to WP 3.0.3.

    Any thoughts on how I could resolve this?

Viewing 11 replies - 1 through 11 (of 11 total)
  • esmi
    Forum Moderator

    @esmi

    Have you tried:

    – deactivating all other plugins to see if this resolves the problem? If this works, re-activate the plugins one by one until you find the problematic plugin(s).

    – switching to the Twenty Ten theme to rule out any theme-specific problems?

    RockDiesel
    Member

    @rockdiesel

    Yes, neither seemed to solve my problem.

    Btw, I used Installatron to originally install wordpress. Maybe that has something to do with it. Not really sure though because I use Installatron every time I install WP and have never really run into problems like this.

    esmi
    Forum Moderator

    @esmi

    I used Installatron to originally install wordpress

    That shouldn’t affect plugin installation or updates. Can you check Akisemet’s version manually? If you use Plugins->Editor and examine akisemet/akismet.php, the version number should be on line 9 of that file.

    RockDiesel
    Member

    @rockdiesel

    It tells me that it is still version 2.50

    Joseph Scott
    Member

    @josephscott

    Any chance you have a caching plugin installed? If so perhaps the cache isn’t properly updating.

    RockDiesel
    Member

    @rockdiesel

    Nope. No caching plugins.

    Joseph Scott
    Member

    @josephscott

    Take a look at the actual file itself in wp-content/plugins/akismet/. If that file still reads 2.5.0 then the update didn’t work correctly. Double check permissions and such. It’s possible that you have a particular edge case bug that others have not run into yet.

    RockDiesel
    Member

    @rockdiesel

    I’ve already checked the Akismet file, as you can see above, and it hasn’t updated.

    For autoupdating, what files/folders need certain permissions?

    I’ve checked all my permissions multiple times and changed my permissions multiple times and nothing seems to work. Maybe I’m missing one somewhere, but I wouldn’t know where else to look.

    Only recently did this problem occur. I’ve had no problems autoupdating plugins in the past.

    Could there be anything in .htaccess that could cause this problem?

    Joseph Scott
    Member

    @josephscott

    There is more info on automatic updates at http://codex.wordpress.org/Updating_WordPress

    You may also want to contact your hosting provider, they may know what needs to be set for your particular situation.

    esmi
    Forum Moderator

    @esmi

    Possibly. It might also be worth asking your hosts about this. Something is effectively blocking the actual file updates. It might also be worth looking through your server error logs (if you have access to them) in case there’s anything in there that might help.

    I just had this happen to me again where I manually updated the Akismet plugin due to another issue I was having and yesterday the autoupdater prompted me to upgrade and said I still had 2.5.0 which I know I didn’t because I downloaded 2.5.1 and FTP’d it to my space.

    I looked at akismet.php and while it says version 2.5.1 in the file header in the actual file I found this line near the beginning:

    ‘define(‘AKISMET_VERSION’, ‘2.5.0’);’ on line 31

    Could this be the issue? The updater is seeing the 2.5.0

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Weird problem – Plugin upgrading, but not upgrading’ is closed to new replies.